In certain countries, stamps are used to certify documents. This resource provides methods to manage stamps available in your account.
To use these endpoints, your account must have Managed Stamps enabled. Contact your Docusign account manager for more information.
Related topics
Methods supported
| Method | Description |
|---|---|
| createAccountSignatures | POST /restapi/v2.1/accounts/{accountId}/signaturesAdds or updates one or more account stamps. |
| deleteAccountSignature | DEL /restapi/v2.1/accounts/{accountId}/signatures/{signatureId}Deletes an account stamp. |
| deleteAccountSignatureImage | DEL /restapi/v2.1/accounts/{accountId}/signatures/{signatureId}/{imageType}Deletes the image for a stamp. |
| getAccountSignature | GET /restapi/v2.1/accounts/{accountId}/signatures/{signatureId}Returns information about the specified stamp. |
| getAccountSignatureImage | GET /restapi/v2.1/accounts/{accountId}/signatures/{signatureId}/{imageType}Returns the image for an account stamp. |
| getAccountSignatures | GET /restapi/v2.1/accounts/{accountId}/signaturesReturns a list of stamps available in the account. |
| updateAccountSignature | PUT /restapi/v2.1/accounts/{accountId}/signaturesUpdates an account stamp. |
| updateAccountSignatureById | PUT /restapi/v2.1/accounts/{accountId}/signatures/{signatureId}Updates an account stamp by ID. |
| updateAccountSignatureImage | PUT /restapi/v2.1/accounts/{accountId}/signatures/{signatureId}/{imageType}Sets a signature image, initials, or stamp. |
AccountSignatures properties
| Property | Type | Description |
|---|---|---|
adoptedDateTime | string | The UTC date and time when the user adopted the signature. |
createdDateTime | string | The UTC DateTime when the item was created. |
customField | string | |
dateStampProperties | dateStampProperties | Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area. This property contains the following information about the central rectangle:
|
disallowUserResizeStamp | string | When true, users may not resize the stamp. |
errorDetails | errorDetails | This object describes errors that occur. It is only valid for responses and ignored in requests. |
externalID | string | Optionally specify an external identifier for the user’s signature. |
imageBase64 | string | |
imageType | string | Specificies the type of image. Valid values:
|
initials150ImageId | string | The ID of the user’s initials image. |
initialsImageUri | string | The URI for retrieving the image of the user’s initials. |
isDefault | string | Boolean that specifies whether the signature is the default signature for the user. |
lastModifiedDateTime | string | The date and time that the item was last modified. |
nrdsId | string | The National Association of Realtors (NAR) membership ID for a user who is a realtor. |
nrdsLastName | string | The realtor’s last name. |
nrdsStatus | string | The realtor’s NAR membership status. The value active verifies that the user is a current NAR member. Valid values are:
|
phoneticName | string | The phonetic spelling of the signatureName. |
signature150ImageId | string | The ID of the user’s signature image. |
signatureFont | string | The font type to use for the signature if the signature is not drawn. The following font styles are supported. The quotes are to indicate that these values are strings, not enums.
|
signatureGroups | array | |
signatureId | string | Specifies the signature ID associated with the signature name. You can use the signature ID in the URI in place of the signature name, and the value stored in the signatureName property in the body is used. This allows the use of special characters (such as ”&”, ”<”, ”>”) in a the signature name. Note that with each update to signatures, the returned signature ID might change, so the caller will need to trigger off the signature name to get the new signature ID. |
signatureImageUri | string | An endpoint URI that you can use to retrieve the user’s signature image. |
signatureInitials | string | Specifies the user’s signature in initials format. |
signatureName | string | Specifies the user’s signature name. |
signatureRights | string | The rights that the user has to the signature. Valid values are:
|
signatureType | string | Specifies the type of signature. |
signatureUsers | array | |
stampFormat | string | The format of a stamp. Valid values are:
|
stampImageUri | string | The URI for retrieving the image of the user’s stamp. |
stampSizeMM | string | The physical height of the stamp image (in millimeters) that the stamp vendor recommends for displaying the image in PDF documents. |
stampType | string | The type of stamp. Valid values are:
|
status | string | Indicates the envelope status. Valid values are:
|